1. Employee
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
        GET
      • Retrieve all Employees
        GET
      • Retrieve all Employees (V1.1)
        GET
      • Create an Employee
        POST
      • Upsert Employees in Bulk
        POST
      • Update an Employee by Personal ID
        PUT
      • Update an Employee by Payflow ID
        PUT
      • Update an Employee by Payroll ID
        PUT
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
      • Retrieve all Payments
      • Retrieve Employee Payments
      • Calculate Employee Available Amount
      • Request a Payment
      • Subscribe to Payment Updates
      • Mark Payments as Informed
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Employee

Update an Employee by Payflow ID

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
PUT
https://api-public.payflow.es
/employee/id/{payflowId}
Updates an employee identified by their id (Payflow internal employee ID). Only include the fields you want to update in the request body.
Best Practice
For bulk employee updates, use the Upsert Employees in Bulk endpoint instead.

Salary handling#

If salary fields are updated, the same salary rules described in previous endpoints apply:
If netSalary is provided, it is used as the source of truth for internal calculations and grossSalary is ignored.
If only grossSalary is provided, netSalary is calculated automatically.
Learn more
See the Salary Concepts guide for more information.

Validation behavior#

All fields are optional.
Invalid email, phone or IBAN values are automatically set to null instead of causing validation errors.
About optional fields
Omit optional fields that you do not want to set instead of sending placeholder values such as null, "", or 0, including for salary fields, as these may cause validation errors.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
This response does not have a body.
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api-public.payflow.es/employee/id/' \
--header 'authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "payrollId": "E02",
    "firstName": "Jane",
    "lastName": "Doe",
    "iban": "ES0000000000000000001111",
    "grossSalary": 1450,
    "contractEnd": "2030-06-01",
    "status": "on_leave",
    "leaveEnd": "2025-06-15"
}'
Response Response Example
{
    "statusCode": 404,
    "error": "Not Found",
    "message": "Employee not found"
}
Modified at 2026-05-14 18:49:01
Previous
Update an Employee by Personal ID
Next
Update an Employee by Payroll ID
Built with